import 'package:flutter/material.dart';
import 'package:launch_review/launch_review.dart';
import 'package:share/share.dart';
import 'package:vgkprogaming/theme/vgk-shared-theme.dart';
import 'package:vgkprogaming/widget/vgk-common-widget/vgk-common-widget.dart';

class VgkFeedBackAndShareWidget {
  static Widget vgkFeedBackAndShare(String appId, String shareDescription) {
    return Center(
      child: Padding(
        padding: EdgeInsets.all(20),
        child: Row(
          children: <Widget>[
            Expanded(
              child: InkWell(
                onTap: () {
                  LaunchReview.launch(
                    androidAppId: appId,
                  );
                },
                child: VgkCommonWidget.vgkIconWithTextWidget(
                  Icons.feedback,
                  VgkProGamingTheme.primaryColor,
                  "Feedback",
                  VgkProGamingTheme.h3,
                ),
              ),
            ),
            SizedBox(
              width: 10,
            ),
            Expanded(
              child: InkWell(
                onTap: () {
                  Share.share(shareDescription);
                },
                child: VgkCommonWidget.vgkIconWithTextWidget(
                  Icons.share,
                  VgkProGamingTheme.primaryColor,
                  "Share",
                  VgkProGamingTheme.h3,
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
